Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Eager_Buffering_Sync_Strategy Class Reference

`#include <Sync_Strategies.h>`

Inheritance diagram for TAO_Eager_Buffering_Sync_Strategy:

[legend]
Collaboration diagram for TAO_Eager_Buffering_Sync_Strategy:

[legend]
List of all members.

## Public Methods
virtual int | must_queue (int queue_empty)
| Return 1 if a message must be queued. More...
virtual int | buffering_constraints_reached (TAO_Stub *stub, size_t msg_count, size_t total_bytes, int &must_flush, const ACE_Time_Value &current_deadline, int &set_timer, ACE_Time_Value &new_deadline)
| Return 1 if it is time to start. More...
## Private Methods
int | timer_check (const TAO::BufferingConstraint &buffering_constraint, const ACE_Time_Value &current_deadline, int &set_timer, ACE_Time_Value &new_deadline)
| Check if the buffering constraint includes any timeouts and compute the right timeout interval if needed. More...
ACE_Time_Value | time_conversion (const TimeBase::TimeT &time)
| Convert from standard CORBA time units to seconds/microseconds. More...

## Member Function Documentation

int TAO_Eager_Buffering_Sync_Strategy::buffering_constraints_reached | ( | TAO_Stub * | stub,
|  | size_t | msg_count,
|  | size_t | total_bytes,
|  | int & | must_flush,
|  | const ACE_Time_Value & | current_deadline,
|  | int & | set_timer,
|  | ACE_Time_Value & | new_deadline
| ) | `[virtual]`

  | Return 1 if it is time to start. Parameters:
  stub | The object used to make the request, this is used to obtain the policies currently in effect for the request
  msg_count | The number of messages currently queued
  total_bytes | Number of bytes currently queued
  set_timer | Returns 1 if a timer should be set to drain the queue
  interval | If set_timer returns 1, this parameter contains the timer interval
Reimplemented from TAO_Sync_Strategy.

int TAO_Eager_Buffering_Sync_Strategy::must_queue | ( | int | queue_empty | ) | `[virtual]`

| Return 1 if a message must be queued. Reimplemented from TAO_Sync_Strategy. Reimplemented in TAO_Delayed_Buffering_Sync_Strategy.

ACE_Time_Value TAO_Eager_Buffering_Sync_Strategy::time_conversion | ( | const TimeBase::TimeT & | time | ) | `[private]`

| Convert from standard CORBA time units to seconds/microseconds.

int TAO_Eager_Buffering_Sync_Strategy::timer_check | ( | const TAO::BufferingConstraint & | buffering_constraint,
|  | const ACE_Time_Value & | current_deadline,
|  | int & | set_timer,
|  | ACE_Time_Value & | new_deadline
| ) | `[private]`

  | Check if the buffering constraint includes any timeouts and compute the right timeout interval if needed. Parameters:
  buffering_constraint | The constraints defined by the application
  set_timer | Return 1 if the timer should be set
  interval | Return the timer interval value
Returns: Returns 1 if the deadline has already expired and flushing must commence immediately. If the function returns 0 then flushing may need to be delayed, use `set_timer` and

The documentation for this class was generated from the following files:

- Sync_Strategies.h
- Sync_Strategies.cpp